Xalan-Java 2.7.1: Interface TraceListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.trace
Interface TraceListener

All Known Subinterfaces:
  TraceListenerEx, TraceListenerEx2, TraceListenerEx3

public interface TraceListener
extends java.util.EventListener

Interface the XSL processor calls when it matches a source node, selects a set of source nodes, or generates a result node. If you want an object instance to be called when a trace event occurs, use the TransformerImpl setTraceListener method.

See Also:
  `TracerEvent`, `TraceManager.addTraceListener(org.apache.xalan.trace.TraceListener)`
Usage:
  **For advanced use only**

Method Summary
`void` | `generated(GenerateEvent ev)` Method that is called just after the formatter listener is called.
`void` | `selected(SelectionEvent ev)` Method that is called just after the formatter listener is called.
`void` | `trace(TracerEvent ev)` Method that is called when a trace event occurs.

Method Detail

### trace

    public void trace(TracerEvent ev)

  Method that is called when a trace event occurs. The method is blocking. It must return before processing continues.
  Parameters:
    `ev` - the trace event.

### selected

    public void selected(SelectionEvent ev)
                  throws TransformerException

  Method that is called just after the formatter listener is called.
  Parameters:
    `ev` - the generate event.
  Throws:
    TransformerException -

### generated

    public void generated(GenerateEvent ev)

  Method that is called just after the formatter listener is called.
  Parameters:
    `ev` - the generate event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.